# Interface ITaggingRequest

The `ITaggingRequest` interface describes a tag request on an item.

## Index

### Properties

- doAdd
- fieldName
- fieldValue
- uniqueId

## Properties

### doAdd

doAdd: boolean

- Defined in rest/TaggingRequest.ts :18

Indicates whether to add the tag value, or to remove the tag value.

### fieldName

fieldName: string

- Defined in rest/TaggingRequest.ts :8

Contains the field name to tag.

### fieldValue

fieldValue: string

- Defined in rest/TaggingRequest.ts :13

Contains the value to tag.

### uniqueId

uniqueId: string

- Defined in rest/TaggingRequest.ts :23

Contains the unique ID of the item to tag.

### Hierarchy

- ITaggingRequest